Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[S]Installing TrueCrypting is being a PITA, layman problems
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
jordanwb
l33t
l33t


Joined: 10 Jul 2008
Posts: 642
Location: Ottawa, Canada

PostPosted: Wed Jan 14, 2009 1:28 pm    Post subject: [S]Installing TrueCrypting is being a PITA, layman problems Reply with quote

I honestly have no clue what category this goes under. I'm trying to install TrueCrypt and since they dudes over at truecrypt.org won't provide sources for latest ebuild, I have to use overlays. Now I emerged layman then subversion (subversion wasn't marked as a dependency, bug?) Then I tried to do this:

Code:
layman -o http://yarik-overlay.googlecode.com/files/yarik-overlay.xml -f -a yarik-overlay


but I get this error:

Quote:
JORDAN-8FC7A898 jordanwb # layman -o http://yarik-overlay.googlecode.com/files/yarik-overlay.xml -f -a yarik-overlay
* Running command "/usr/bin/svn co "http://yarik-overlay.googlecode.com/svn/trunk/overlay/" "/usr/local/portage/layman/yarik-overlay""...
svn: Unrecognized URL scheme for 'http://yarik-overlay.googlecode.com/svn/trunk/overlay'
* Failed to add overlay "yarik-overlay".
* Error was: Adding the overlay failed! Possible remains of the opration have NOT been removed and may be left at /usr/local/portage/layman/yarik-overlay. Please remove them manually if required.
JORDAN-8FC7A898 jordanwb #


I did remove that yarik-overlay directory before running that command. What do I do? I'm following the page at gentoo-wiki.com


Last edited by jordanwb on Thu Jan 15, 2009 11:04 pm; edited 1 time in total
Back to top
View user's profile Send private message
ra_n
n00b
n00b


Joined: 24 Apr 2008
Posts: 5

PostPosted: Thu Jan 15, 2009 3:47 pm    Post subject: Re: Installing TrueCrypting is being a PITA, layman problems Reply with quote

Quote:

svn: Unrecognized URL scheme for 'http://yarik-overlay.googlecode.com/svn/trunk/overlay'


you guess you need the curl use flag for subversion
Back to top
View user's profile Send private message
jordanwb
l33t
l33t


Joined: 10 Jul 2008
Posts: 642
Location: Ottawa, Canada

PostPosted: Thu Jan 15, 2009 4:28 pm    Post subject: Reply with quote

Close not not quite. I didn't compile layman with the subversion flag.

[Edit] Nope that's not it.
Back to top
View user's profile Send private message
ra_n
n00b
n00b


Joined: 24 Apr 2008
Posts: 5

PostPosted: Thu Jan 15, 2009 4:54 pm    Post subject: Reply with quote

sorry.. i should have actually looked at the ebuild.
if you use dev-util/subversion-1.4.6 you need -nowebdav
Back to top
View user's profile Send private message
jordanwb
l33t
l33t


Joined: 10 Jul 2008
Posts: 642
Location: Ottawa, Canada

PostPosted: Thu Jan 15, 2009 5:40 pm    Post subject: Reply with quote

Sorry I should've stated I'm using the unstable tree. So I'd be using 1.5.5 and it doesn't have a nowebdav flag. I'll downgrade and enable that flag. Or do I want that disabled? :?
Back to top
View user's profile Send private message
ra_n
n00b
n00b


Joined: 24 Apr 2008
Posts: 5

PostPosted: Thu Jan 15, 2009 5:58 pm    Post subject: Reply with quote

jordanwb wrote:
Sorry I should've stated I'm using the unstable tree. So I'd be using 1.5.5 and it doesn't have a nowebdav flag. I'll downgrade and enable that flag. Or do I want that disabled? :?


You want nowebdav disabled (so webdav actually will be enabled).

looking at 1.5.2 and 1.5.4 you probably need webdav-neon or webdav-serf enabled, but i dont know for sure since i didnt try it.
Back to top
View user's profile Send private message
jordanwb
l33t
l33t


Joined: 10 Jul 2008
Posts: 642
Location: Ottawa, Canada

PostPosted: Thu Jan 15, 2009 7:10 pm    Post subject: Reply with quote

In that case I'll try an older version.

[edit]

I was able to apply to overlay but I still can't emerge truecrypt 6.1a:

Quote:

JORDAN-8FC7A898 ~ # emerge -av =app-crypt/truecrypt-6.1a

These are the packages that would be merged, in order:

Calculating dependencies... done!

emerge: there are no ebuilds to satisfy "=app-crypt/truecrypt-6.1a".
Back to top
View user's profile Send private message
ra_n
n00b
n00b


Joined: 24 Apr 2008
Posts: 5

PostPosted: Thu Jan 15, 2009 8:44 pm    Post subject: Reply with quote

jordanwb wrote:

emerge: there are no ebuilds to satisfy "=app-crypt/truecrypt-6.1a".


i use dmcrypt myself not truecrypt.
looking at the overlays site it mentions you have to unmask and keyword the package.
did you read http://code.google.com/p/yarik-overlay/wiki/TrueCrypt ?
Back to top
View user's profile Send private message
jordanwb
l33t
l33t


Joined: 10 Jul 2008
Posts: 642
Location: Ottawa, Canada

PostPosted: Thu Jan 15, 2009 9:24 pm    Post subject: Reply with quote

I have read that page and have unmasked the truecrypt packages. However you can't compile truecrypt the first time because the source code for 6.0a is not available and emerging 6.1a still won't work because there's no ebuild. :x

This is starting to get on my nerves. I might as well compile truecrypt manually but I don't know how to do that.
Back to top
View user's profile Send private message
ra_n
n00b
n00b


Joined: 24 Apr 2008
Posts: 5

PostPosted: Thu Jan 15, 2009 10:00 pm    Post subject: Reply with quote

sounds like the overlay isnt properly set up (so portage doesnt find the ebuild). ):

you could try to move the ebuild to a local overlay..
Back to top
View user's profile Send private message
jordanwb
l33t
l33t


Joined: 10 Jul 2008
Posts: 642
Location: Ottawa, Canada

PostPosted: Thu Jan 15, 2009 10:36 pm    Post subject: Reply with quote

Quote:

JORDAN-8FC7A898 jordanwb # dir /usr/local/portage/layman/yarik-overlay/app-crypt/truecrypt/
ChangeLog Manifest files metadata.xml truecrypt-6.1.ebuild truecrypt-6.1a.ebuild
JORDAN-8FC7A898 jordanwb #


I see you there ebuild. I'll copy those files over and see what happens.

[Edit] I removed everything in /usr/portage/app-crypt/truecrypt and copied everything from the other folder, emerge truecrypt and it works. I'll have to see if I can create/mount volumes now.

Thanks ra_n. And welcome to the Gentoo forums.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum